Package org.drinkless.tdlib

# Class TdApi.AutosaveSettings

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.AutosaveSettings

Enclosing class:
  `TdApi`

public static class TdApi.AutosaveSettings extends TdApi.Object
Describes autosave settings.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.ScopeAutosaveSettings`
  `channelSettings`
  Default autosave settings for channel chats.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.AutosaveSettingsException[]`
  `exceptions`
  Autosave settings for specific chats.
  `TdApi.ScopeAutosaveSettings`
  `groupSettings`
  Default autosave settings for basic group and supergroup chats.
  `TdApi.ScopeAutosaveSettings`
  `privateChatSettings`
  Default autosave settings for private chats.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AutosaveSettings()`
  Describes autosave settings.
  `AutosaveSettings(TdApi.ScopeAutosaveSettings privateChatSettings, TdApi.ScopeAutosaveSettings groupSettings, TdApi.ScopeAutosaveSettings channelSettings, TdApi.AutosaveSettingsException[] exceptions)`
  Describes autosave settings.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### privateChatSettings

    public TdApi.ScopeAutosaveSettings privateChatSettings
    Default autosave settings for private chats.

  - ### groupSettings

    public TdApi.ScopeAutosaveSettings groupSettings
    Default autosave settings for basic group and supergroup chats.

  - ### channelSettings

    public TdApi.ScopeAutosaveSettings channelSettings
    Default autosave settings for channel chats.

  - ### exceptions

    public TdApi.AutosaveSettingsException[] exceptions
    Autosave settings for specific chats.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AutosaveSettings

    public AutosaveSettings()
    Describes autosave settings.

  - ### AutosaveSettings

    public AutosaveSettings(TdApi.ScopeAutosaveSettings privateChatSettings, TdApi.ScopeAutosaveSettings groupSettings, TdApi.ScopeAutosaveSettings channelSettings, TdApi.AutosaveSettingsException[] exceptions)
    Describes autosave settings.
    Parameters:
      `privateChatSettings` - Default autosave settings for private chats.
      `groupSettings` - Default autosave settings for basic group and supergroup chats.
      `channelSettings` - Default autosave settings for channel chats.
      `exceptions` - Autosave settings for specific chats.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR